package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.QualificationAttributeDefinition;
import de.humance.eco.profile.service.QualificationAttributeDefinitionLocalServiceUtil;

/**
 * The extended model base implementation for the QualificationAttributeDefinition service. Represents a row in the &quot;Profile_QualificationAttributeDefinition&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link QualificationAttributeDefinitionImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationAttributeDefinitionImpl
 * @see de.humance.eco.profile.model.QualificationAttributeDefinition
 * @generated
 */
public abstract class QualificationAttributeDefinitionBaseImpl
    extends QualificationAttributeDefinitionModelImpl
    implements QualificationAttributeDefinition {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a qualification attribute definition model instance should use the {@link QualificationAttributeDefinition} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            QualificationAttributeDefinitionLocalServiceUtil.addQualificationAttributeDefinition(this);
        } else {
            QualificationAttributeDefinitionLocalServiceUtil.updateQualificationAttributeDefinition(this);
        }
    }
}
